Bug 602522 - Tracker for Bugzilla/WAIDH integration
Summary: Tracker for Bugzilla/WAIDH integration
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Database   
(Show other bugs)
Version: 3.6
Hardware: All
OS: Linux
low
low vote
Target Milestone: ---
Assignee: Martin Bacovsky
QA Contact:
URL:
Whiteboard:
Keywords: Tracking
Depends On:
Blocks: RHBZ36UpgradeTracker
TreeView+ depends on / blocked
 
Reported: 2010-06-10 03:37 UTC by David Lawrence
Modified: 2013-06-24 03:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 602524 (view as bug list)
Environment:
Last Closed: 2010-08-14 09:33:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Lawrence 2010-06-10 03:37:57 UTC
This is a tracking bug to track any issues found related to the WAIDH too integration and the new 3.6 Bugzilla database. We need to get with the WAIDH developers to verify proper operation before the cut over date. Bugzilla has some special waidh_* database views that the WAIDH tool dependson to gather the data it needs. We need to make sure the views continue to work properly.

Comment 1 Martin Bacovsky 2010-06-22 09:39:09 UTC
Thanks for bringing this to my radar. I tried to check the waidh related views, but was not able to connect to the DB. WAIDH is connecting directly to mysql db (slave) as waidh_user user. In the docs I found there is not mentioned where the testing DB is located. My attempt with
   mysql -h bz-web2-test.devel.redhat.com -u waidh_user -p bugs
failed.

Martin

Comment 2 David Lawrence 2010-06-22 15:44:39 UTC
(In reply to comment #1)
> Thanks for bringing this to my radar. I tried to check the waidh related views,
> but was not able to connect to the DB. WAIDH is connecting directly to mysql db
> (slave) as waidh_user user. In the docs I found there is not mentioned where
> the testing DB is located. My attempt with
>    mysql -h bz-web2-test.devel.redhat.com -u waidh_user -p bugs
> failed.
> 
> Martin    

Sorry for the confusion. The database server is bz-db1-test.devel.redhat.com so you would need to connect this way:

mysql -h bz-db1-test.devel.redhat.com -u waidh_user -p bugs36

Dave

Comment 3 Martin Bacovsky 2010-06-22 21:22:17 UTC
 
>$ mysql -h bz-db1-test.devel.redhat.com -u waidh_user -p bugs36
Enter password: 
ERROR 1045 (28000): Access denied for user 'waidh_user'@'waidh.englab.brq.redhat.com' (using password: YES)

I tried to connect to db bugs36 from 2 of 3 machines that are granted to connect to current bugs db with no success. Am I missing something?

Martin

Comment 4 David Lawrence 2010-06-22 21:57:15 UTC
(In reply to comment #3)
> >$ mysql -h bz-db1-test.devel.redhat.com -u waidh_user -p bugs36
> Enter password: 
> ERROR 1045 (28000): Access denied for user
> 'waidh_user'@'waidh.englab.brq.redhat.com' (using password: YES)
> 
> I tried to connect to db bugs36 from 2 of 3 machines that are granted to
> connect to current bugs db with no success. Am I missing something?
> 
> Martin    

Hmm, please send a ticket to eng-systems@redhat.com asking for access to bugs36 on bz-db1-test.devel.redhat.com if the waidh_user cannot connect to that database.
They should be able to figure out what is wrong.

Thanks
Dave

Comment 5 Martin Bacovsky 2010-06-23 13:39:58 UTC
Access was granted. WAIDH seems to work flawlessly against bugzilla 3.6. As the content in bz3.6 is slightly different I was not able to do side by side comparison. Data structure and formatting is okay though.

Comment 6 David Lawrence 2010-06-23 17:07:00 UTC
(In reply to comment #5)
> Access was granted. WAIDH seems to work flawlessly against bugzilla 3.6. As the
> content in bz3.6 is slightly different I was not able to do side by side
> comparison. Data structure and formatting is okay though.    

Thanks Martin! I want to leave this open for now as I want to maybe re-verify this once more before that final changeover on Aug 1st.

Dave

Comment 7 David Lawrence 2010-08-09 18:34:27 UTC
Martin, can you please reconfirm this again against our test system in the next day or so to make sure WAIDH is still working. I assume it is but I want to be sure as we are hoping to upgrade to 3.6 this weekend.

Dave

Comment 8 Martin Bacovsky 2010-08-10 09:44:31 UTC
WAIDH works well with Bugzilla v3.6. Both bug lists and links are okay. 

I'll make sure WAIDH is working as expected ASAP after upgrade.

Thanks for your care!

Martin

Comment 9 Martin Bacovsky 2010-08-14 09:33:02 UTC
Everything is working well after the upgrade.


Note You need to log in before you can comment on or make changes to this bug.